Name:           python-smdb-api
Version:        0.13.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        API package for Server Monitoring Discord Bot

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/NightKey/smdb-api/issues
Source:         %{pypi_source smdb_api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'smdb-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-smdb-api
Summary:        %{summary}

%description -n python3-smdb-api %_description


%prep
%autosetup -p1 -n smdb_api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-smdb-api -f %{pyproject_files}


%changelog
%autochangelog